package com.ruoyi.tcZz.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.service.ScreenService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 大屏接口
 */
@Api(tags = "大屏接口")
@RestController
@RequestMapping("/tcZz/networkEcology/screen")
public class ScreenController extends BaseController {
    /**
     * 服务层
     */
    @Autowired
    private ScreenService screenService;

    /**
     * 大屏监管对象
     */

    @ApiOperation(value = "大屏监管对象", response = TcAqg.class)
    @GetMapping("/screensupervision")
    public AjaxResult screenSupervision(TcAqg tcAqg) {
//        List<TcAqg> list = screenService.selectTcAqgList(tcAqg);
        return null;
    }
}
